apiVersion: v1
data:
  config.yaml: |
    additional_display_details:
    - annotation: kiali.io/api-spec
      icon_annotation: kiali.io/api-type
      title: API Documentation
    api:
      namespaces:
        exclude:
        - istio-operator
        - kube.*
        - openshift.*
        - ibm.*
        - kiali-operator
        label_selector: kiali.io/member-of=servicemesh
    auth:
      openid:
        api_proxy: ''
        api_proxy_ca_data: ''
        authentication_timeout: 300
        authorization_endpoint: ''
        client_id: ''
        insecure_skip_verify_tls: false
        issuer_uri: ''
        scopes:
        - openid
        - profile
        - email
        username_claim: sub
      openshift:
        client_id_prefix: kiali
      strategy: openshift
    deployment:
      accessible_namespaces:
      - bookinfo
      - dev-core-engines
      - dev-core-fleets
      - dev-core-locations
      - dev-core-telemetry-teste
      - dev-integration-sasintegra
      - hom-core-engines
      - hom-integration-sasintegra
      - servicemesh
      affinity:
        node: {}
        pod: {}
        pod_anti: {}
      custom_dashboards:
        excludes:
        - ''
        includes:
        - '*'
      image_name: registry.redhat.io/openshift-service-mesh/kiali-rhel8@sha256
      image_pull_policy: ''
      image_pull_secrets: []
      image_version: f85ca80b5a0063faf100e7a3fc65109c35f3e74a61aa1fd21d41f72148b8c1a4
      ingress_enabled: true
      namespace: servicemesh
      node_selector: {}
      pod_annotations: {}
      priority_class_name: ''
      replicas: 1
      resources: {}
      secret_name: kiali
      service_annotations: {}
      tolerations: []
      verbose_mode: '3'
      version_label: f85ca80b5a0063faf100e7a3fc65109c35f3e74a61aa1fd21d41f72148b8XXX
      view_only_mode: false
    extensions:
      iter_8:
        enabled: false
      threescale:
        adapter_name: threescale
        adapter_port: '3333'
        adapter_service: threescale-istio-adapter
        enabled: false
        template_name: threescale-authorization
    external_services:
      custom_dashboards:
        enabled: true
        namespace_label: ''
        prometheus:
          auth:
            ca_file: ''
            insecure_skip_verify: false
            password: ''
            token: ''
            type: none
            use_kiali_token: false
            username: ''
          url: ''
      grafana:
        auth:
          ca_file: /kiali-cabundle/service-ca.crt
          insecure_skip_verify: false
          password: Dl7C4FDCNczel1Xk/dNZ9bPPWNo/xmMki7vNgzAI2aI5YNN6m8Kdcp5SUQFEwJIU1qynAVEQZ764nsvKSNGtG1gl87kr5vqyAJmME6+nyPWjaHknj9vxQd32XVkv46KolhKJijiGR0W1mG8Yt/JwkaNFTZCwyQiYDLDEZE9T8mOqh1c8EcoYnAfKOGi8EVIR1yEfEXdVqQ3odRBsoxnQZ1GusqmXH652VWfwFpy5BN5Q+I0iYJnrn7YEBsgtCbV/JoEJwx5NBtcVgeuZAXtFmhS0mfG3LaIZTW1hCDAGCkbyGfuAdNTm5IedTDSpfgtkf/KdbXU9pW7sGx0EltlN
          token: ''
          type: basic
          use_kiali_token: false
          username: internal
        component_status:
          app_label: grafana
          is_core: false
          namespace: ''
        dashboards:
        - name: Istio Service Dashboard
          variables:
            namespace: var-namespace
            service: var-service
        - name: Istio Workload Dashboard
          variables:
            namespace: var-namespace
            workload: var-workload
        enabled: true
        in_cluster_url: https://grafana.servicemesh.svc:3000
        url: https://grafana-servicemesh.apps.ocp4-dev.sascar.com.br
      istio:
        component_status:
          components:
          - app_label: istiod
            is_core: true
          - app_label: istio-ingressgateway
            is_core: true
          - app_label: istio-egressgateway
            is_core: false
          enabled: true
        config_map_name: istio-basic
        istio_identity_domain: svc.cluster.local
        istio_injection_annotation: sidecar.istio.io/inject
        istio_sidecar_annotation: sidecar.istio.io/status
        url_service_version: http://istiod-basic.servicemesh:15014/version
      prometheus:
        auth:
          ca_file: /kiali-cabundle/service-ca.crt
          insecure_skip_verify: false
          password: Dl7C4FDCNczel1Xk/dNZ9bPPWNo/xmMki7vNgzAI2aI5YNN6m8Kdcp5SUQFEwJIU1qynAVEQZ764nsvKSNGtG1gl87kr5vqyAJmME6+nyPWjaHknj9vxQd32XVkv46KolhKJijiGR0W1mG8Yt/JwkaNFTZCwyQiYDLDEZE9T8mOqh1c8EcoYnAfKOGi8EVIR1yEfEXdVqQ3odRBsoxnQZ1GusqmXH652VWfwFpy5BN5Q+I0iYJnrn7YEBsgtCbV/JoEJwx5NBtcVgeuZAXtFmhS0mfG3LaIZTW1hCDAGCkbyGfuAdNTm5IedTDSpfgtkf/KdbXU9pW7sGx0EltlN
          token: ''
          type: basic
          use_kiali_token: false
          username: internal
        component_status:
          app_label: prometheus
          is_core: true
          namespace: ''
        url: https://prometheus.servicemesh.svc:9090
      tracing:
        auth:
          ca_file: /kiali-cabundle/service-ca.crt
          insecure_skip_verify: false
          password: Dl7C4FDCNczel1Xk/dNZ9bPPWNo/xmMki7vNgzAI2aI5YNN6m8Kdcp5SUQFEwJIU1qynAVEQZ764nsvKSNGtG1gl87kr5vqyAJmME6+nyPWjaHknj9vxQd32XVkv46KolhKJijiGR0W1mG8Yt/JwkaNFTZCwyQiYDLDEZE9T8mOqh1c8EcoYnAfKOGi8EVIR1yEfEXdVqQ3odRBsoxnQZ1GusqmXH652VWfwFpy5BN5Q+I0iYJnrn7YEBsgtCbV/JoEJwx5NBtcVgeuZAXtFmhS0mfG3LaIZTW1hCDAGCkbyGfuAdNTm5IedTDSpfgtkf/KdbXU9pW7sGx0EltlN
          token: ''
          type: basic
          use_kiali_token: false
          username: internal
        component_status:
          app_label: jaeger
          is_core: false
          namespace: ''
        enabled: true
        in_cluster_url: https://jaeger-query.servicemesh.svc
        namespace: servicemesh
        namespace_selector: true
        service: ''
        url: https://jaeger-servicemesh.apps.ocp4-dev.sascar.com.br
        whitelist_istio_system:
        - jaeger-query
        - istio-ingressgateway
    health_config:
      rate: []
    identity:
      cert_file: /kiali-cert/tls.crt
      private_key_file: /kiali-cert/tls.key
    installation_tag: Kiali [servicemesh]
    istio_component_namespaces:
      grafana: servicemesh
      istiod: servicemesh
      prometheus: servicemesh
      tracing: servicemesh
    istio_labels:
      app_label_name: app
      injection_label_name: istio-injection
      version_label_name: version
    istio_namespace: servicemesh
    kiali_feature_flags:
      istio_injection_action: true
    kubernetes_config:
      burst: 200
      cache_duration: 300
      cache_enabled: true
      cache_istio_types:
      - DestinationRule
      - Gateway
      - ServiceEntry
      - VirtualService
      - Sidecar
      - PeerAuthentication
      - RequestAuthentication
      - AuthorizationPolicy
      cache_namespaces:
      - .*
      cache_token_namespace_duration: 10
      excluded_workloads:
      - CronJob
      - Job
      - StatefulSet
      - Build
      qps: 175
    login_token:
      expiration_seconds: 86400
      signing_key: secret:kiali-signing-key:key
    server:
      address: ''
      audit_log: true
      cors_allow_all: false
      gzip_enabled: true
      metrics_enabled: true
      metrics_port: 9090
      port: 20001
      web_fqdn: ''
      web_root: /
      web_schema: ''
    version: v1.24
kind: ConfigMap
metadata:
  creationTimestamp: "2021-09-23T17:57:43Z"
  labels:
    app: kiali
    app.kubernetes.io/name: kiali
    app.kubernetes.io/part-of: kiali
    app.kubernetes.io/version: f85ca80b5a0063faf100e7a3fc65109c35f3e74a61aa1fd21d41f72148b8XXX
    version: f85ca80b5a0063faf100e7a3fc65109c35f3e74a61aa1fd21d41f72148b8XXX
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:data:
        .: {}
        f:config.yaml: {}
      f:metadata:
        f:labels:
          .: {}
          f:app: {}
          f:app.kubernetes.io/name: {}
          f:app.kubernetes.io/part-of: {}
          f:app.kubernetes.io/version: {}
          f:version: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"d2e3021a-1f4f-49a2-82a4-032cb3dc4003"}:
            .: {}
            f:apiVersion: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
    manager: OpenAPI-Generator
    operation: Update
    time: "2021-10-19T13:04:54Z"
  name: kiali
  namespace: servicemesh
  ownerReferences:
  - apiVersion: kiali.io/v1alpha1
    kind: Kiali
    name: kiali
    uid: d2e3021a-1f4f-49a2-82a4-032cb3dc4003
  resourceVersion: "235802206"
  selfLink: /api/v1/namespaces/servicemesh/configmaps/kiali
  uid: d4ce4a85-ced8-48fc-a58d-f13ebc020927
